using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace skyscraper5.DNS.Protocol.ResourceRecords.Records
{
	public class PointerResourceRecord : BaseResourceRecord, SimpleDnsRecord
	{
		public PointerResourceRecord(IResourceRecord record, byte[] message, int dataOffset)
			: base(record)
		{
			PointerDomainName = Domain.FromArray(message, dataOffset);
		}

		public Domain PointerDomainName { get; }

		public string GetDataAsString()
		{
			return PointerDomainName.ToString();
		}
	}
}
